GET
Ethnicities
https://www.microburbs.com.au/report_generator/api/property/ethnicity
Retrieves ethnic demographic breakdown data for SA1 levels 500m around the property. Data shows ethnicity by regional ancestry rather than country of birth.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | text | Required | Property identifier (GnafID) |
| geojson | boolean | Optional | Set to 'true' to include geometric shape data (default: false) |
Response Schema
| Field | Type | Description |
|---|---|---|
| results | array | Array of SA1 level ethnic data |
| results[].area_level | string | Area classification level (e.g., 'sa1') |
| results[].area_name | string | SA1 identifier code |
| results[].ethnicity | object | Ethnic breakdown by regional ancestry (as decimal percentages) |
Request Examples
cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/ethnicity?suburb=Belmont%20North" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response Example
Response
{
"results": [
{
"area_level": "sa1",
"area_name": "11101120602",
"ethnicity": {
"Australians": 0.93,
"Northern and Western Europeans": 0.021,
"South Asians": 0.021
}
},
{
"area_level": "sa1",
"area_name": "11101120603",
"ethnicity": {
"Australians": 0.925,
"Northern and Western Europeans": 0.0475
}
},
{
"area_level": "sa1",
"area_name": "11101120604",
"ethnicity": {
"Asians": 0.02119,
"Australians": 0.903,
"Northern and Western Europeans": 0.0455
}
},
{
"area_level": "sa1",
"area_name": "11101120605",
"ethnicity": {
"Australians": 0.963,
"North America": 0.00748,
"South and Central Americans": 0.00748
}
}
]
}
